Subject: BCS Tillers

From: [email-masked] (0000-Admin(0000))
Date: 5 Apr 95 13:58:49 CDT

Hello,
  Has anyone had any experience with the BCS Tillers and their
assorted attachments?  I recently moved into a country house with
a very large garden, so I need a heavy duty tiller to keep up.  I
also have picked up information on the Troy Bilt line and they seem
to be similar in options and price.  Any reason to pick a Troy Bilt
over a BCS or vica versa?

Thanks in advance.
Scott Strecker
Chippewa Falls, Wisconsin